org.eclipse.graphiti.ui.internal.parts.directedit

## Class GFDirectEditManager

- java.lang.Object
- - org.eclipse.gef.tools.DirectEditManager
  - - org.eclipse.graphiti.ui.internal.parts.directedit.GFDirectEditManager

All Implemented Interfaces:
  IDirectEditHolder

    public class GFDirectEditManager
    extends org.eclipse.gef.tools.DirectEditManager
    implements IDirectEditHolder

### Constructor Summary

Constructors
Constructor and Description
`GFDirectEditManager(ShapeEditPart part, TextCellLocator cellEditorLocator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IDirectEditingContext` `getDirectEditingContext()`
`IDirectEditingFeature` `getDirectEditingFeature()`
`boolean` `isSimpleMode()`
`void` `setDirectEditingContext(IDirectEditingContext directEditingContext)`
`void` `setDirectEditingFeature(IDirectEditingFeature directEditingFeature)`
`void` `show()`

### Methods inherited from class org.eclipse.gef.tools.DirectEditManager

`setLocator, showFeedback`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFDirectEditManager

    public GFDirectEditManager(ShapeEditPart part,
                               TextCellLocator cellEditorLocator)

### Method Detail

#### getDirectEditingContext

    public IDirectEditingContext getDirectEditingContext()

Specified by:
  `getDirectEditingContext` in interface `IDirectEditHolder`

#### getDirectEditingFeature

    public IDirectEditingFeature getDirectEditingFeature()

Specified by:
  `getDirectEditingFeature` in interface `IDirectEditHolder`

#### setDirectEditingContext

    public void setDirectEditingContext(IDirectEditingContext directEditingContext)

#### setDirectEditingFeature

    public void setDirectEditingFeature(IDirectEditingFeature directEditingFeature)

#### isSimpleMode

    public boolean isSimpleMode()

Specified by:
  `isSimpleMode` in interface `IDirectEditHolder`

#### show

    public void show()

Overrides:
  `show` in class `org.eclipse.gef.tools.DirectEditManager`